# Class CreatePaymentAccountReply

#### Hierarchy

- unknown
  - CreatePaymentAccountReply

- Defined in src/protobuf/grpc_pb.d.ts:1816
- Defined in src/protobuf/grpc_pb.d.ts:1830

#####
Index

### Constructors

constructor

### Methods

clearPaymentAccount
getPaymentAccount
hasPaymentAccount
serializeBinary
setPaymentAccount
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CreatePaymentAccountReply(): CreatePaymentAccountReply

- #### Returns CreatePaymentAccountReply

  Inherited from jspb.Message.constructor

## Methods

### clearPaymentAccount

- clearPaymentAccount(): CreatePaymentAccountReply

- #### Returns CreatePaymentAccountReply

  - Defined in src/protobuf/grpc_pb.d.ts:1820

### getPaymentAccount

- getPaymentAccount(): undefined | PaymentAccount

- #### Returns undefined | PaymentAccount

  - Defined in src/protobuf/grpc_pb.d.ts:1817

### hasPaymentAccount

- hasPaymentAccount(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1819

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1822

### setPaymentAccount

- setPaymentAccount(value?: PaymentAccount): CreatePaymentAccountReply

- #### Parameters

  - ##### `Optional` value: PaymentAccount

  #### Returns CreatePaymentAccountReply

  - Defined in src/protobuf/grpc_pb.d.ts:1818

### toObject

- toObject(includeInstance?: boolean): CreatePaymentAccountReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CreatePaymentAccountReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1823

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreatePaymentAccountReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreatePaymentAccountReply

  - Defined in src/protobuf/grpc_pb.d.ts:1826

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreatePaymentAccountReply, reader: BinaryReader): CreatePaymentAccountReply

- #### Parameters

  - ##### message: CreatePaymentAccountReply

  - ##### reader: BinaryReader

  #### Returns CreatePaymentAccountReply

  - Defined in src/protobuf/grpc_pb.d.ts:1827

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CreatePaymentAccountReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CreatePaymentAccountReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1825

### `Static` toObject

- toObject(includeInstance: boolean, msg: CreatePaymentAccountReply): CreatePaymentAccountReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreatePaymentAccountReply

  #### Returns CreatePaymentAccountReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1824

Generated using TypeDoc